src/Entity/RowAccount.php
<?php

namespace App\Entity;

use App\Repository\RowAccountRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: RowAccountRepository::class)]
class RowAccount
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column]
    private ?\DateTime $create_at = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $brand = null;

    #[ORM\Column]
    private ?float $amount = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCreateAt(): ?\DateTime
    {
        return $this->create_at;
    }

    public function setCreateAt(\DateTime $create_at): self
    {
        $this->create_at = $create_at;

        return $this;
    }

    public function getBrand(): ?string
    {
        return $this->brand;
    }

    public function setBrand(?string $brand): self
    {
        $this->brand = $brand;

        return $this;
    }

    public function getAmount(): ?float
    {
        return $this->amount;
    }

    public function setAmount(float $amount): self
    {
        $this->amount = $amount;

        return $this;
    }
}

src/Form/RowAccountType.php
<?php

namespace App\Form;

use App\Entity\RowAccount;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class RowAccountType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('create_at', DateType::class, [
                // this is actually the default format for single_text
                'format' => 'dd-MM-yyyy',
            ])
            ->add('brand')
            ->add('amount')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => RowAccount::class,
        ]);
    }
}

src/Controller/RowAccountController.php
<?php

namespace App\Controller;

use App\Entity\RowAccount;
use App\Form\RowAccountType;
use App\Repository\RowAccountRepository;
use Container2LcYC81\getTemplateControllerService;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route('/row/account')]
class RowAccountController extends AbstractController
{
    #[Route('/', name: 'app_row_account_index', methods: ['GET'])]
    public function index(RowAccountRepository $rowAccountRepository): Response
    {
        $rows = $rowAccountRepository->findAll();
        $res = [];
        $item = "";
        $total = 0;
        $totaux = 0;

        foreach ($rows as $k => $row) {

            $rowMonth = date_format($row->getCreateAt(), 'M');
            if ($rowMonth != $item && $item != "") {
                $res[] = $total;
                $total = 0;
            }
            $total += $row->getAmount();
            $res[] = $row;
            $item = $rowMonth;

        }
        $res[] = $total;

        return $this->render('row_account/index.html.twig', [
            'row_accounts' => $res,
        ]);
    }

    #[Route('/new', name: 'app_row_account_new', methods: ['GET', 'POST'])]
    public function new(Request $request, RowAccountRepository $rowAccountRepository): Response
    {
        $rowAccount = new RowAccount();
        $form = $this->createForm(RowAccountType::class, $rowAccount);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $rowAccountRepository->save($rowAccount, true);

            return $this->redirectToRoute('app_row_account_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('row_account/new.html.twig', [
            'row_account' => $rowAccount,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_row_account_show', methods: ['GET'])]
    public function show(RowAccount $rowAccount): Response
    {
        return $this->render('row_account/show.html.twig', [
            'row_account' => $rowAccount,
        ]);
    }

    #[Route('/{id}/edit', name: 'app_row_account_edit', methods: ['GET', 'POST'])]
    public function edit(Request $request, RowAccount $rowAccount, RowAccountRepository $rowAccountRepository): Response
    {
        $form = $this->createForm(RowAccountType::class, $rowAccount);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $rowAccountRepository->save($rowAccount, true);

            return $this->redirectToRoute('app_row_account_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('row_account/edit.html.twig', [
            'row_account' => $rowAccount,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_row_account_delete', methods: ['POST'])]
    public function delete(Request $request, RowAccount $rowAccount, RowAccountRepository $rowAccountRepository): Response
    {
        if ($this->isCsrfTokenValid('delete' . $rowAccount->getId(), $request->request->get('_token'))) {
            $rowAccountRepository->remove($rowAccount, true);
        }

        return $this->redirectToRoute('app_row_account_index', [], Response::HTTP_SEE_OTHER);
    }
}

templates/base.html.twig
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="icon" href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 128 128%22><text y=%221.2em%22 font-size=%2296%22>⚫️</text></svg>">
        {# Run `composer require symfony/webpack-encore-bundle` to start using Symfony UX #}
        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
            <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
        {% endblock %}

        {% block javascripts %}
            {{ encore_entry_script_tags('app') }}
            <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
            <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
        {% endblock %}
    </head>
    <body>
        {% block body %}{% endblock %}
    </body>
</html>

templates/row_account/_delete_form.html.twig
<form method="post" action="{{ path('app_row_account_delete', {'id': row_account.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ row_account.id) }}">
    <button class="btn">Delete</button>
</form>

templates/row_account/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/row_account/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit RowAccount{% endblock %}

{% block body %}
    <h1>Edit RowAccount</h1>

    {{ include('row_account/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('app_row_account_index') }}">back to list</a>

    {{ include('row_account/_delete_form.html.twig') }}
{% endblock %}

templates/row_account/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}RowAccount index{% endblock %}

{% block body %}
    <h1>RowAccount index</h1>

    <table class="table table-hover">
        <thead>
        <tr>
            <th>Id</th>
            <th>Create_at</th>
            <th>Brand</th>
            <th>Amount</th>
            <th>actions</th>
        </tr>
        </thead>
        <tbody>
        {% for row_account  in row_accounts %}

            {% if row_account.id is defined %}
                <tr>
                    <td>{{ row_account.id }}</td>
                    <td>{{ row_account.createAt ? row_account.createAt|date('d-m-Y') : '' }}</td>
                    <td>{{ row_account.brand }}</td>
                    <td>{{ row_account.amount }}</td>
                    <td>
                        <a href="{{ path('app_row_account_show', {'id': row_account.id}) }}">show</a>
                        <a href="{{ path('app_row_account_edit', {'id': row_account.id}) }}">edit</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td>Total : {{ row_account }}</td>
                    <td></td>
                </tr>

            {% endif %}

        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_row_account_new') }}">Create new</a>
{% endblock %}

templates/row_account/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New RowAccount{% endblock %}

{% block body %}
    <h1>Create new RowAccount</h1>

    {{ include('row_account/_form.html.twig') }}

    <a href="{{ path('app_row_account_index') }}">back to list</a>
{% endblock %}

templates/row_account/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}RowAccount{% endblock %}

{% block body %}
    <h1>RowAccount</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ row_account.id }}</td>
            </tr>
            <tr>
                <th>Create_at</th>
                <td>{{ row_account.createAt ? row_account.createAt|date('d-m-Y') : '' }}</td>
            </tr>
            <tr>
                <th>Brand</th>
                <td>{{ row_account.brand }}</td>
            </tr>
            <tr>
                <th>Amount</th>
                <td>{{ row_account.amount }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_row_account_index') }}">back to list</a>

    <a href="{{ path('app_row_account_edit', {'id': row_account.id}) }}">edit</a>

    {{ include('row_account/_delete_form.html.twig') }}
{% endblock %}